Package opennlp.tools.formats.masc

## Class MascNamedEntityParser

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - opennlp.tools.formats.masc.MascNamedEntityParser

- All Implemented Interfaces:
    `ContentHandler`, `DTDHandler`, `EntityResolver`, `ErrorHandler`

      public class MascNamedEntityParser
      extends DefaultHandler

  A class to process the MASC Named entity stand-off annotation file

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MascNamedEntityParser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Map<Integer,​List<Integer>>` | `getEntityIDsToTokens()` |
    `Map<Integer,​String>` | `getEntityIDtoEntityType()` |
    `void` | `startElement​(String uri, String localName, String qName, Attributes attributes)` |

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MascNamedEntityParser

          public MascNamedEntityParser()

  - ### Method Detail

    - #### getEntityIDtoEntityType

          public Map<Integer,​String> getEntityIDtoEntityType()

    - #### getEntityIDsToTokens

          public Map<Integer,​List<Integer>> getEntityIDsToTokens()

    - #### startElement

          public void startElement​(String uri,
                                   String localName,
                                   String qName,
                                   Attributes attributes)
                            throws SAXException

      Specified by:
        `startElement` in interface `ContentHandler`
      Overrides:
        `startElement` in class `DefaultHandler`
      Throws:
        `SAXException`